Subject: bug#57596: guix lint --checkers=derivation doesn't complete, Too many heap sections

From: Christopher Baines <[email-masked]>
Date: Mon, 05 Sep 2022 13:14:44 +0100

When running the derivation checker on all packages for recent guix
revisions, it dones't seem to complete. Instead, you get an error which
I think comes from the garbage collection implementation that Guile
uses:

  → guix lint --checkers=derivation
  Too many heap sections: Increase MAXHINCR or MAX_HEAP_SECTS
  Aborted

I noticed this on data.guix.gnu.org, as it effectively does something
similar when trying to record the lint warnings for a revision.

Maybe there's enough derivations now that the process of computing them
all is too much for Guile? Or maybe it's something in the graph that's
forming a loop?

Chris